/***************************************************************************
                          tool_bomb.cpp  -  description
                             -------------------
    begin                : Mon Mar 25 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "tool_bomb.h"
#include "gameobject.h"
#include "bomb.h"

Tool_bomb::Tool_bomb(int _x, int _y, Map_Sample* _sample) : Tool(_x, _y, _sample)
{
	useable=true;
	collectable=true;
	tt=TBOMB;
	spr=66;
	lited=false;
}
Tool_bomb::~Tool_bomb(){
}
void Tool_bomb::show()
{
	sur->put_screen(x, y, spr);
}
void Tool_bomb::lit()
{
	if(!lited)
	{
		this->set_delme();
		new Bomb(x, y, 0, 0, sample);
		lited=true;
	}
}